VirtualBox 6.1.26 / 6.1.27 on Fedora 34/33, CentOS/RHEL 8/7 - Comment Page: 27

Oracle VirtualBox is a powerful x86 and AMD64/Intel64 virtualization product for enterprise as well as home use. VirtualBox is a general-purpose full virtualizer for x86 hardware. Targeted at server, desktop and embedded use, it is now the only professional-quality virtualization solution that is also Open Source Software. Check video guide howto install VirtualBox 6.1.26 on Fedora 34/33 using Oracle's own dnf repo: Check video guide howto install VirtualBox 6.1.26 6.1.27 on Fedora 34/33 using .run installer: Check video guide howto install VirtualBox 6.1.18 on Fedora 33 using Fedora 32 rpm: Watch More Videos and Subscribe to if-not-true-then-false.com Youtube...

804 comments on “VirtualBox 6.1.26 / 6.1.27 on Fedora 34/33, CentOS/RHEL 8/7 - Comment Page: 27

1 25 26 27
    1. I’ve recently updated to ‘5.10.7-200.fc33.x86_64’ and can no longer boot my VM.

      sudo /usr/lib/virtualbox/vboxdrv.sh setup

      vboxdrv.sh: Stopping VirtualBox services.
      vboxdrv.sh: Starting VirtualBox services.
      vboxdrv.sh: Building VirtualBox kernel modules.
      vboxdrv.sh: failed: Look at /var/log/vbox-setup.log to find out what went wrong.

      Can only see make errors in this file.

      Reply
      • Hello Conor,

        Tried kernel 5.10.7 and yes it fails, I will update this guide as soon as possible. I have to think another way to install VirtualBox, because it looks like that they have dropped Fedora RPM support.

        Reply
      • Hello Marco,

        I reverted this guide partially back to what I released two months ago. You can use following command to generate F33 (python3) compatible rpm:

        rpmrebuild --change-spec-preamble='sed -e "s/6.1.18_142142_fedora32/6.1.18_142142_fedora33/"' --change-spec-requires='sed -e "s/python(abi) = 3.8/python(abi) >= 3.8/"' --package VirtualBox-6.1-6.1.18_142142_fedora32-1.x86_64.rpm

        But currently I recommend to use .run installer, because you don’t have any advantage to use rpm package anymore. RPMS’s are very useful if you have working repository, but now it’s more complicated to install rpm than use .run installer.

        Reply
    2. Receiving this error –

      virtualbox/2/x86_64/primary_db FAILED
      http://download.virtualbox.org/virtualbox/rpm/el/2/x86_64/repodata/bba4562a5f8edecc9e8053ec75cb2bd48a48744e61bd27d71e7451e55f59c680-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
      Trying other mirror.
      http://download.virtualbox.org/virtualbox/rpm/el/2/x86_64/repodata/bba4562a5f8edecc9e8053ec75cb2bd48a48744e61bd27d71e7451e55f59c680-primary.sqlite.bz2: [Errno 14] HTTP Error 404 – Not Found
      Trying other mirror.

      One of the mirrors from the XML seem to be inactive – thanks Oracle :/

      Reply
      • Hello,

        What Linux distribution and version you are using? Some reason it try to use Enterprise Linux 2 repo. It should be something else.

        Reply
    3. Awesome work!!!! I have been dealing with this,

      “kernel driver not installed (rc=-1908) the virtualbox linux kernel driver is either not loaded or not set up correctly. please try setting it up again by executing ‘/sbin/vboxconfig’ as root.”

      errors for months not having it resolved. I almost gave up.

      Thanks to you, it’s working like a charm!!!

      Fantastic, Fantastic!!!

      Reply
    4. My setup:

      Fedora 5.11.X-200.fc33.x86_64
      Virtualbox 6.1.18 (downloaded from Orace-Website! Custom Fedora-Package failed either)

      After start of Virtualbox I get this:
      —————— snip
      […]

      /tmp/vbox.0/linux/VBoxNetFlt-linux.c: In function â:
      /tmp/vbox.0/linux/VBoxNetFlt-linux.c:1761:47: error: invalid use of undefined type â
      1761 | if (pDev->ethtool_ops && pDev->ethtool_ops->get_drvinfo)
      | ^~
      /tmp/vbox.0/linux/VBoxNetFlt-linux.c:1763:32: error: storage size of â isnât known
      1763 | struct ethtool_drvinfo Info;

      [….]
      ——————–snap

      When I check that very line #1761 in /usr/share/virtualbox/src/vboxhost/vboxnetflt/linux/VBoxNetFlt-linux.c I get:
      —————
      if (pDev->ethtool_ops && pDev->ethtool_ops->get_drvinfo)
      ——————-
      So nothing special here. (I checked the file with cat -vet )

      I don’t have ANY CLUE where this “undefined type â” (ie. Character â) comes from!

      Last working kernel is 5.10.23.

      Locale for the Bash is en_US.iso88591 .

      Anyone out there who got the same problem?
      Any ideas?

      Reply
      • Hello Sebastian,

        Oracle released VirtualBox 6.1.20 which works with latest 5.11 kernel without problems and directly from dnf repo.

        Reply
    5. It looks like Oracle has posted a Fedora 33/34 version. VirtualBox-6.1-6.1.20_143896_fedora33-1x86_64.rpm

      I haven’t upgraded to fedora 33 yet, but now that this is out, I’ll do so. I’ll let you know.

      Reply
      • Hi William,

        Yes new 6.1.20 works and repository works too. I tested it and updated guide.

        Reply
1 25 26 27

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close